LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 08-26-2005, 03:02 PM   #1
EchoWarrior
Member
 
Registered: Aug 2005
Location: Finland
Distribution: Gentoo 2006.0, Debian 3.1r0
Posts: 60

Rep: Reputation: 15
Need help with automake


Hi all!

Im trying to compile pkg-config (Uses automake & autoconf & aclocal)
I get error when running autogen.sh:

You should update your `aclocal.m4' by running aclocal.
configure.in:391: warning: AC_CACHE_VAL(glib_cv_sane_realloc, ...): suspicious presence of an AC_DEFINE in the second argument, where no actions should be taken
autoconf/general.m4:1799: AC_CACHE_VAL is expanded from...
configure.in:391: the top level
configure.in:391: warning: AC_CACHE_VAL(glib_cv_sane_realloc, ...): suspicious presence of an AC_DEFINE in the second argument, where no actions should be taken
autoconf/general.m4:1799: AC_CACHE_VAL is expanded from...
configure.in:391: the top level
gmodule/Makefile.am:22: Libtool library used but `LIBTOOL' is undefined
gmodule/Makefile.am:22:
gmodule/Makefile.am:22: The usual way to define `LIBTOOL' is to add `AC_PROG_LIBTOOL'
gmodule/Makefile.am:22: to `configure.in' and run `aclocal' and `autoconf' again.
gthread/Makefile.am:14: Libtool library used but `LIBTOOL' is undefined
gthread/Makefile.am:14:
gthread/Makefile.am:14: The usual way to define `LIBTOOL' is to add `AC_PROG_LIBTOOL'
gthread/Makefile.am:14: to `configure.in' and run `aclocal' and `autoconf' again.
Makefile.am:68: BUILT_SOURCES multiply defined in condition TRUE ...
Makefile.am:11: ... `BUILT_SOURCES' previously defined here
Makefile.am:86: noinst_DATA multiply defined in condition TRUE ...
Makefile.am:63: ... `noinst_DATA' previously defined here
Makefile.am:124: whitespace following trailing backslash
Makefile.am:31: Libtool library used but `LIBTOOL' is undefined
Makefile.am:31:
Makefile.am:31: The usual way to define `LIBTOOL' is to add `AC_PROG_LIBTOOL'
Makefile.am:31: to `configure.in' and run `aclocal' and `autoconf' again.


What should i do to get this compiled?
 
Old 08-27-2005, 01:34 PM   #2
foo_bar_foo
Senior Member
 
Registered: Jun 2004
Posts: 2,553

Rep: Reputation: 51
you don't have to run autogen.sh
just ./configure
 
Old 10-04-2005, 01:09 PM   #3
Morbid
Member
 
Registered: Mar 2004
Distribution: Suse 10.1...and loving it!
Posts: 243

Rep: Reputation: 30
More Automake Problems.

Are you able to help me with this, foo_bar_foo?

I am trying to get dvrequant to work. However, I ran into a few problems concerning programs I needed to install. To make a long story short, I need to have automake installed. The problem is,
I already have automake which is supose to also have aclocal. But it can't seem to find it. When I try to run automake I get this:

morbidjustice@linux:~> automake
automake: `configure.ac' or `configure.in' is required
morbidjustice@linux:~>


So, exactly what is it telling me to do here? I just re-installed automake and then tried to run it and it gave me this error.




linux:/home/morbidjustice/automake-1.9.6 # automake
configure.ac:39: version mismatch. This is Automake 1.9.5,
configure.ac:39: but the definition used by this AM_INIT_AUTOMAKE
configure.ac:39: comes from Automake 1.9.6. You should recreate
configure.ac:39: aclocal.m4 with aclocal and run automake again.
linux:/home/morbidjustice/automake-1.9.6 #

Please help!

 
Old 11-08-2005, 10:35 AM   #4
kenneho
Member
 
Registered: May 2003
Location: Oslo, Norway
Distribution: Ubuntu, Red Hat Enterprise Linux
Posts: 655

Rep: Reputation: 40
I'm having similar problems, so....anyone?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
automake Sc0pE Linux - Software 2 05-13-2005 11:11 AM
Scribus installation problem, sez I need automake 1.6 when automake 1.9 is istalled Rockgod2099 Linux - Software 13 11-14-2004 07:37 PM
automake btexpress Linux - Software 2 05-19-2004 02:53 AM
slackware 9 asking for automake 1.6 while i have automake 1.7 gtgoku Slackware 1 10-19-2003 09:59 AM
automake verigoth Programming 0 09-16-2002 01:36 PM


All times are GMT -5. The time now is 12:40 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration